Debian Bug report logs - #629077
[myspell-da]: Please remove call to soon to disappear 'update-openoffice-dicts'

version graph

Package: myspell-da; Maintainer for myspell-da is Jonas Smedegaard <dr@jones.dk>; Source for myspell-da is src:dsdo.

Reported by: Agustin Martin <agmartin@debian.org>

Date: Fri, 3 Jun 2011 11:09:02 UTC

Severity: normal

Found in version dsdo/1.6.25-1

Fixed in version dsdo/1.6.25-1.1

Done: Agustin Martin Domingo <agmartin@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#629077; Package myspell-da. (Fri, 03 Jun 2011 11:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
New Bug report received and forwarded. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Fri, 03 Jun 2011 11:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: [myspell-da]: Please remove call to soon to disappear 'update-openoffice-dicts'
Date: Fri, 3 Jun 2011 13:07:15 +0200
Package: myspell-da
Version: 1.6.25-1
Severity: normal

Hi,

Your package still uses an entry in maintainer scripts that calls the 
soon to disappear update-openoffice-dicts script in a way that will 
fail once it is removed.

If you use dictionaries-common-dev debhelper snippets, please rebuild
your package against at least dictionaries-common-dev 1.10.5 and adjust
Build-Depends accordingly.

Otherwise just remove that part from maintainer scripts.

Thanks in advance,

-- 
Agustin




Added indication that bug 629077 blocks 619246 Request was from Agustin Martin <agmartin@debian.org> to control@bugs.debian.org. (Fri, 03 Jun 2011 13:27:17 GMT) Full text and rfc822 format available.

Reply sent to Agustin Martin Domingo <agmartin@debian.org>:
You have taken responsibility. (Tue, 13 Sep 2011 13:06:26 GMT) Full text and rfc822 format available.

Notification sent to Agustin Martin <agmartin@debian.org>:
Bug acknowledged by developer. (Tue, 13 Sep 2011 13:06:27 GMT) Full text and rfc822 format available.

Message #12 received at 629077-close@bugs.debian.org (full text, mbox):

From: Agustin Martin Domingo <agmartin@debian.org>
To: 629077-close@bugs.debian.org
Subject: Bug#629077: fixed in dsdo 1.6.25-1.1
Date: Tue, 13 Sep 2011 13:02:13 +0000
Source: dsdo
Source-Version: 1.6.25-1.1

We believe that the bug you reported is fixed in the latest version of
dsdo, which is due to be installed in the Debian FTP archive:

aspell-da_1.6.25-1.1_i386.deb
  to main/d/dsdo/aspell-da_1.6.25-1.1_i386.deb
dsdo_1.6.25-1.1.debian.tar.gz
  to main/d/dsdo/dsdo_1.6.25-1.1.debian.tar.gz
dsdo_1.6.25-1.1.dsc
  to main/d/dsdo/dsdo_1.6.25-1.1.dsc
idanish_1.6.25-1.1_i386.deb
  to main/d/dsdo/idanish_1.6.25-1.1_i386.deb
myspell-da_1.6.25-1.1_all.deb
  to main/d/dsdo/myspell-da_1.6.25-1.1_all.deb
wdanish_1.6.25-1.1_all.deb
  to main/d/dsdo/wdanish_1.6.25-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 629077@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Agustin Martin Domingo <agmartin@debian.org> (supplier of updated dsdo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 13 Sep 2011 11:59:25 +0200
Source: dsdo
Binary: idanish wdanish aspell-da myspell-da
Architecture: source all i386
Version: 1.6.25-1.1
Distribution: unstable
Urgency: low
Maintainer: Jonas Smedegaard <dr@jones.dk>
Changed-By: Agustin Martin Domingo <agmartin@debian.org>
Description: 
 aspell-da  - The Comprehensive Danish Dictionary (DSDO) - aspell
 idanish    - The Comprehensive Danish Dictionary (DSDO) - ispell
 myspell-da - The Comprehensive Danish Dictionary (DSDO) - myspell
 wdanish    - The Comprehensive Danish Dictionary (DSDO) - wordlist
Closes: 607389 620246 629077
Changes: 
 dsdo (1.6.25-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * dict.mk:
     - Make sure myspell stuff is installed in /usr/share/hunspell
       location.
     - Make sure openoffice.org snippets are no longer installed
       (Closes: #629077).
   * debian/{rules,control.in,patches/1002_enable_ispell_rules.patch}:
     - Make sure is built and run with new ispell (Closes: #620246).
   * 1006_improve_myspell_rules.patch:
     - Make sure POSIX locale is enforced in sorting (Closes: #607389).
Checksums-Sha1: 
 c575d8f31a5398a7bcf91aec2171d30d6b57f719 1296 dsdo_1.6.25-1.1.dsc
 bb67b7287dedacc60bb4baade8d0847fbed0d038 15353 dsdo_1.6.25-1.1.debian.tar.gz
 2ebdd6d0faa1140f4cf4e83e53d22eaed1e53042 821104 wdanish_1.6.25-1.1_all.deb
 cfe47b3a8c486ff88feeb9fe81800c8de2b26f87 429724 myspell-da_1.6.25-1.1_all.deb
 eb2b4121c7826c0d1379ff1857345dda04cca2ef 968454 idanish_1.6.25-1.1_i386.deb
 89f5b48f9742dfce874865c1f0212af8fb83c3b7 3807482 aspell-da_1.6.25-1.1_i386.deb
Checksums-Sha256: 
 d9bbed04b1130a22cc85b5e8a1779dfb2fd44c77db906a300205f8c00c742eb7 1296 dsdo_1.6.25-1.1.dsc
 5df1da08010826663961dfeff2f440a441c325839a94c997fa79b0ba67aeeff5 15353 dsdo_1.6.25-1.1.debian.tar.gz
 52217ba95fb6bfb0c32f06830ad8749cbae3f993d9aba4d5975226689eb489fd 821104 wdanish_1.6.25-1.1_all.deb
 77ad814f8ce479584d5cd02099bff99b452201a7105bf154fb946fc08f63aabc 429724 myspell-da_1.6.25-1.1_all.deb
 c066f026546ccd28fb5c8fdcd9ceb147fca7d540aa4ea526c455c03590370d74 968454 idanish_1.6.25-1.1_i386.deb
 524cc46b352d600442e45e1afd977be5816041da8085a1fc1f5f01762033b2b5 3807482 aspell-da_1.6.25-1.1_i386.deb
Files: 
 f3707f34630894f6b6bd74d973c54c26 1296 text optional dsdo_1.6.25-1.1.dsc
 80711c00963d1cd5a811c24f5926e7ab 15353 text optional dsdo_1.6.25-1.1.debian.tar.gz
 af60c2709ab94d8e2ce651b54bfed3bc 821104 text optional wdanish_1.6.25-1.1_all.deb
 2241fbc3d64ba2b04d890cc0caf1ab45 429724 text optional myspell-da_1.6.25-1.1_all.deb
 7654397a85d9124cf867d99aefc97d5f 968454 text optional idanish_1.6.25-1.1_i386.deb
 4c8780af4949e64e793f52ed121930ed 3807482 text optional aspell-da_1.6.25-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFObz4BTShHqj72DpwRAhXCAKCN7v0RUGTiQrJQqEALGlXKIWN+9QCeJyNi
M4WH8A/6EJ+l/eZ0uC9R6Nk=
=AChQ
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#629077; Package myspell-da. (Tue, 13 Sep 2011 13:21:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Tue, 13 Sep 2011 13:21:13 GMT) Full text and rfc822 format available.

Message #17 received at 629077@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: 607389@bugs.debian.org, 620246@bugs.debian.org, 629077@bugs.debian.org
Subject: Announcing dsdo NMU for #607389, #620246 and #629077
Date: Tue, 13 Sep 2011 14:47:10 +0200
On Fri, Jun 03, 2011 at 01:07:15PM +0200, Agustin Martin wrote:
> Package: myspell-da
> Version: 1.6.25-1
> Severity: normal
> 
> Hi,
> 
> Your package still uses an entry in maintainer scripts that calls the 
> soon to disappear update-openoffice-dicts script in a way that will 
> fail once it is removed.
> 
> If you use dictionaries-common-dev debhelper snippets, please rebuild
> your package against at least dictionaries-common-dev 1.10.5 and adjust
> Build-Depends accordingly.
> 
> Otherwise just remove that part from maintainer scripts.

Hi,

I am about to upload an NMU caring of 

#607389: dsdo: brittle way to enforce POSIX locale
#620246: idanish: Conflicts with newest ispell (RC)
#629077: [myspell-da]: Please remove call to soon to disappear 'update-openoffice-dicts'

as well as other unreported bug (Must use new /usr/share/hunspell location
for myspell dictionaries)

Since one of them is a long standing RC bug it will be a 0-day NMU. 
Changelog is as follows,

dsdo (1.6.25-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * dict.mk:
    - Make sure myspell stuff is installed in /usr/share/hunspell
      location.
    - Make sure openoffice.org snippets are no longer installed
      (Closes: #629077).
  * debian/{rules,control.in,patches/1002_enable_ispell_rules.patch}:
    - Make sure is built and run with new ispell (Closes: #620246).
  * 1006_improve_myspell_rules.patch:
    - Make sure POSIX locale is enforced in sorting (Closes: #607389).

and since package is at a collab-maint git repo I will push my changes there
once final tests and upload are done.

Regards,

-- 
Agustin




Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#629077; Package myspell-da. (Tue, 13 Sep 2011 13:39:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to 629077@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Tue, 13 Sep 2011 13:39:14 GMT) Full text and rfc822 format available.

Message #22 received at 629077@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Agustin Martin <agmartin@debian.org>, 629077@bugs.debian.org
Subject: Re: Bug#629077: Announcing dsdo NMU for #607389, #620246 and #629077
Date: Tue, 13 Sep 2011 15:26:35 +0200
[Message part 1 (text/plain, inline)]
On 11-09-13 at 02:47pm, Agustin Martin wrote:
> I am about to upload an NMU caring of 
> 
> #607389: dsdo: brittle way to enforce POSIX locale
> #620246: idanish: Conflicts with newest ispell (RC)
> #629077: [myspell-da]: Please remove call to soon to disappear 'update-openoffice-dicts'
> 
> as well as other unreported bug (Must use new /usr/share/hunspell location
> for myspell dictionaries)
> 
> Since one of them is a long standing RC bug it will be a 0-day NMU. 

Cool.


> and since package is at a collab-maint git repo I will push my changes 
> there once final tests and upload are done.

Super!


Thanks a lot for your help, it is highly appreciated!


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 22 Oct 2011 07:38:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:41:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.